## kcron 20.12.0

=== src/CMakeLists.txt ===

########### Build ###############

include_directories( 
	${CMAKE_CURRENT_SOURCE_DIR}/crontablib
	${CMAKE_CURRENT_SOURCE_DIR} 
)

########## KCM Module ###############

set(kcron_crontablib_SRCS
   crontablib/cthost.cpp
   crontablib/ctcron.cpp
   crontablib/ctmonth.cpp
   crontablib/ctminute.cpp
   crontablib/cthour.cpp
   crontablib/ctdom.cpp
   crontablib/ctdow.cpp
   crontablib/cttask.cpp
   crontablib/ctunit.cpp
   crontablib/ctvariable.cpp
   crontablib/ctGlobalCron.cpp
   crontablib/ctSystemCron.cpp
   crontablib/ctInitializationError.cpp
   crontablib/ctSaveStatus.cpp
   crontablib/ctHelper.cpp
)

ecm_qt_declare_logging_category(kcron_crontablib_SRCS HEADER kcm_cron_debug.h IDENTIFIER KCM_CRON_LOG CATEGORY_NAME org.kde.kcm.cron)


set(kcm_cron_SRCS 
   ${kcron_crontablib_SRCS}
   genericListWidget.cpp
    
   tasksWidget.cpp
   taskWidget.cpp 

   variablesWidget.cpp
   variableWidget.cpp 
 
   taskEditorDialog.cpp 
   variableEditorDialog.cpp

   crontabWidget.cpp 

   kcronHelper.cpp
    
   crontabPrinter.cpp 
   crontabPrinterWidget.cpp 

   kcmCron.cpp 
)

add_library(kcm_cron MODULE ${kcm_cron_SRCS})

target_link_libraries(kcm_cron 
    Qt5::PrintSupport
    KF5::ConfigWidgets
    KF5::I18n
    KF5::IconThemes
    KF5::KIOWidgets
)

install(TARGETS  kcm_cron  DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES kcm_cron.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== debian/changelog ===
kcron (4:20.12.0-1) unstable; urgency=medium

  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Eshat Cakar, Maximiliano Curia, Modestas Vainius from the
    uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * New upstream release (20.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 12:11:57 +0100

=== debian/control ===
Source: kcron
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.58.0~),
               gettext,
               libkf5configwidgets-dev (>= 5.58.0~),
               libkf5doctools-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5xmlgui-dev (>= 5.58.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Homepage: https://kde.org/applications/utilities/org.kde.kcron
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcron
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcron.git
Rules-Requires-Root: no

Package: kde-config-cron
Section: admin
Architecture: any
Depends: cron | cron-daemon | anacron, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: program scheduler frontend
 kde-config-cron is a KDE configuration module for scheduling programs to run
 at specific intervals using cron, the UNIX scheduling service.
 .
 This package is part of the KDE administration module.

## kcron 20.12.3

=== debian/changelog ===
kcron (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:06 +0000

kcron (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:52:25 +0000

kcron (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:08:55 +0000

## kcron 21.08.0

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kcron
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.58.0~),
+               extra-cmake-modules (>= 5.83.0~),
                gettext,
                libkf5configwidgets-dev (>= 5.58.0~),
                libkf5doctools-dev (>= 5.58.0~),
@@ -15,7 +16,7 @@
                libkf5kio-dev (>= 5.58.0~),
                libkf5xmlgui-dev (>= 5.58.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/utilities/org.kde.kcron
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcron

## kcron 21.08.1

=== debian/changelog ===
kcron (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:14 +0100

kcron (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:00:39 +0100

kcron (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:53:34 +0100

kcron (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:32:31 +0100

kcron (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:41:32 +0100

kcron (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:02 +0100

kcron (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:04:43 +0100

kcron (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:22 +0100

## kcron 21.12.3

=== src/CMakeLists.txt ===

########### Build ###############

include_directories( 
	${CMAKE_CURRENT_SOURCE_DIR}/crontablib
	${CMAKE_CURRENT_SOURCE_DIR} 
)

########## KCM Module ###############
add_library(kcm_cron MODULE)
ecm_qt_declare_logging_category(kcm_cron 
    HEADER kcm_cron_debug.h
    IDENTIFIER KCM_CRON_LOG
    CATEGORY_NAME org.kde.kcm.cron
    DESCRIPTION "kcm cron"
    EXPORT KCRON
)

target_sources(kcm_cron PRIVATE
   crontablib/cthost.cpp
   crontablib/ctcron.cpp
   crontablib/ctmonth.cpp
   crontablib/ctminute.cpp
   crontablib/cthour.cpp
   crontablib/ctdom.cpp
   crontablib/ctdow.cpp
   crontablib/cttask.cpp
   crontablib/ctunit.cpp
   crontablib/ctvariable.cpp
   crontablib/ctSystemCron.cpp
   crontablib/ctInitializationError.cpp
   crontablib/ctSaveStatus.cpp
   crontablib/ctHelper.cpp

   genericListWidget.cpp
    
   tasksWidget.cpp
   taskWidget.cpp 

   variablesWidget.cpp
   variableWidget.cpp 
 
   taskEditorDialog.cpp 
   variableEditorDialog.cpp

   crontabWidget.cpp 

   kcronHelper.cpp
    
   crontabPrinter.cpp 
   crontabPrinterWidget.cpp 

   kcmCron.cpp 
)


target_link_libraries(kcm_cron 
    Qt::PrintSupport
    KF5::ConfigWidgets
    KF5::I18n
    KF5::KIOWidgets
    KF5::CoreAddons
    KF5::Auth
)

install(TARGETS  kcm_cron  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
# For root permissions.
add_subdirectory(helper)

install(FILES kcm_cron.desktop
        DESTINATION  ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
kcron (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:08:52 +0000

kcron (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:21 +0000

kcron (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:11 +0000

kcron (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:13 +0000

kcron (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:04:20 +0000

kcron (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:32 +0000

kcron (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:43 +0000

kcron (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: kcron
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.83.0~),
+               extra-cmake-modules (>= 5.58.0~),
                gettext,
                libkf5configwidgets-dev (>= 5.58.0~),
                libkf5doctools-dev (>= 5.58.0~),
@@ -16,11 +16,11 @@
                libkf5kio-dev (>= 5.58.0~),
                libkf5xmlgui-dev (>= 5.58.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.12.0~),
 Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/utilities/org.kde.kcron
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcron
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcron.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcron
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcron
 Rules-Requires-Root: no
 
 Package: kde-config-cron

## kcron 22.08.1

=== debian/changelog ===
kcron (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:19 +0100

kcron (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:25 +0100

kcron (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:25:50 +0100

kcron (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:59:47 +0100

kcron (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:05 +0100

kcron (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:17 +0100

## kcron 22.12.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,12 +55,12 @@
 
 
 target_link_libraries(kcm_cron 
-    Qt::PrintSupport
+    Qt${QT_MAJOR_VERSION}::PrintSupport
     KF5::ConfigWidgets
     KF5::I18n
     KF5::KIOWidgets
     KF5::CoreAddons
-    KF5::Auth
+    KF5::AuthCore
 )
 
 install(TARGETS  kcm_cron  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
@@ -68,5 +68,5 @@
 add_subdirectory(helper)
 
 install(FILES kcm_cron.desktop
-        DESTINATION  ${KDE_INSTALL_KSERVICES5DIR}
+        DESTINATION  ${KDE_INSTALL_KSERVICESDIR}
 )

=== debian/changelog ===
kcron (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:48 +0100

kcron (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:01 +0100

kcron (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:34 +0100

kcron (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:52 +0100

kcron (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2022-24986
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.85.0
    - add libkf5auth-dev, and libkf5coreaddons-dev

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 16:26:20 +0100

kcron (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:54:02 +0900

kcron (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 12:01:15 +0900

=== debian/control ===
Source: kcron
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libkf5auth-dev (>= 5.85.0~),
               libkf5configwidgets-dev (>= 5.85.0~),
               libkf5coreaddons-dev (>= 5.85.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5iconthemes-dev (>= 5.85.0~),
               libkf5kio-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://kde.org/applications/utilities/org.kde.kcron
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcron
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcron.git
Rules-Requires-Root: no

Package: kde-config-cron
Section: admin
Architecture: any
Depends: cron | cron-daemon | anacron, ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: program scheduler frontend
 kde-config-cron is a KDE configuration module for scheduling programs to run
 at specific intervals using cron, the UNIX scheduling service.
 .
 This package is part of the KDE administration module.

## kcron 23.08.1

=== debian/changelog ===
kcron (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:57:33 +0100

kcron (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:27 +0100

kcron (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Add libkf5kcmutils-dev to Build-Depends

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:21 +0100

kcron (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:44:56 +0100

kcron (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:55:37 +0100

kcron (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:36:30 +0000

kcron (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:14:14 -0600

kcron (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:23 +0000

kcron (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 12:27:17 +0000

kcron (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:07:32 +0000

kcron (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:03:54 +0000

kcron (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:20 +0000

kcron (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:26 +0000

## kcron 23.08.4

=== debian/changelog ===
kcron (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:13:44 +0000

kcron (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:11 +0000

kcron (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:28 +0100

## kcron 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
project(kcron)

set (QT_MIN_VERSION "5.15.2")
set (KF_MIN_VERSION "5.105.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN="kcron")

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package (Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    PrintSupport
)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF${KF_MAJOR_VERSION} REQUIRED COMPONENTS
    ConfigWidgets
    CoreAddons
    Auth
    I18n
    KIO
    KCMUtils
)
find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.102
)


add_subdirectory(src) 

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kcron.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_qt_install_logging_categories(
	EXPORT KCRON
        FILE kcron.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/helper/CMakeLists.txt ===

add_executable(kcron_helper kcronhelper.cpp kcronhelper.h)
target_link_libraries(kcron_helper PRIVATE Qt${QT_MAJOR_VERSION}::Core KF${KF_MAJOR_VERSION}::AuthCore)

ecm_qt_declare_logging_category(kcron_helper
    HEADER kcm_cron_helper_debug.h
    IDENTIFIER KCM_CRON_HELPER_LOG
    CATEGORY_NAME org.kde.kcm.cron_helper
    DESCRIPTION "kcm cron helper"
    EXPORT KCRON_HELPER
)

# The following need to be disabled in debug builds, if lacking root permissions.
# Build the project to generate the files, then install them manually:
# /usr/share/dbus-1/system-services/ <- local.kcron.crontab.service
# /usr/share/polkit-1/actions/ <- local.kcron.crontab.policy
# /usr/share/dbus-1/system.d/ <- local.kcron.crontab.conf
install(TARGETS kcron_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(kcron_helper local.kcron.crontab root)
kauth_install_actions(local.kcron.crontab local.kcron.crontab.actions)

=== debian/changelog ===
kcron (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:10:20 +1100

kcron (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:48:21 +0000

kcron (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:40:26 -0700

=== debian/control ===
Source: kcron
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libkf5auth-dev (>= 5.85.0~),
               libkf5configwidgets-dev (>= 5.85.0~),
               libkf5coreaddons-dev (>= 5.85.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5iconthemes-dev (>= 5.85.0~),
               libkf5kcmutils-dev,
               libkf5kio-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://kde.org/applications/utilities/org.kde.kcron
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcron
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcron
Rules-Requires-Root: no

Package: kde-config-cron
Section: admin
Architecture: any
Depends: cron | cron-daemon | anacron, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: program scheduler frontend
 kde-config-cron is a KDE configuration module for scheduling programs to run
 at specific intervals using cron, the UNIX scheduling service.
 .
 This package is part of the KDE administration module.

## kcron 24.08.2

=== debian/changelog ===
kcron (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:53:46 -0500

kcron (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 22:07:30 -0500

=== debian/control ===
Source: kcron
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6auth-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://kde.org/applications/utilities/org.kde.kcron
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcron
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcron
Rules-Requires-Root: no

Package: kde-config-cron
Section: admin
Architecture: any
Depends: cron | cron-daemon | anacron, ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: program scheduler frontend
 kde-config-cron is a KDE configuration module for scheduling programs to run
 at specific intervals using cron, the UNIX scheduling service.
 .
 This package is part of the KDE administration module.

## kcron 24.12.0

=== debian/changelog ===
kcron (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Add systemsettings to the runtime dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 17:08:28 +0100

=== debian/control ===
Source: kcron
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               kirigami-addons-dev (>= 0.11.76~),
               libkf6auth-dev,
               libkf6configwidgets-dev,
               libkf6coreaddons-dev,
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev,
               libkf6kcmutils-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://kde.org/applications/utilities/org.kde.kcron
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcron
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcron.git
Rules-Requires-Root: no

Package: kde-config-cron
Section: admin
Architecture: any
Depends: cron | cron-daemon | anacron,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: program scheduler frontend
 kde-config-cron is a KDE configuration module for scheduling programs to run
 at specific intervals using cron, the UNIX scheduling service.
 .
 This package is part of the KDE administration module.

## kcron 24.12.1

=== debian/changelog ===
kcron (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:28:52 +0000

kcron (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:09:25 +0000

kcron (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:05:56 +0000

kcron (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depends on libkf6declarative-dev and kirigami-addons-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Nov 2024 14:51:23 +0000

kcron (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:38:52 +0000

## kcron 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
project(kcron)

set (QT_MIN_VERSION "6.5.0")
set (KF_MIN_VERSION "6.3.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN="kcron")

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package (Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    PrintSupport
    Quick
)

find_package(KF6 REQUIRED COMPONENTS
    ConfigWidgets
    CoreAddons
    Auth
    I18n
    KCMUtils
)

find_package(KF6KirigamiAddons 0.11.76 REQUIRED)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.7
)

add_subdirectory(src)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kcron.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_qt_install_logging_categories(
	EXPORT KCRON
        FILE kcron.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kcron (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:39:35 +0000

kcron (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:14:07 +0000

## kcron 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 )
 
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.7
+    KF 6.10
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kcron (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:59:26 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
-Homepage: https://kde.org/applications/utilities/org.kde.kcron
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/kcron/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcron
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcron.git
 Rules-Requires-Root: no

## kcron 25.04.3

=== debian/changelog ===
kcron (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:40:28 +0100

kcron (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:42:02 +0100

kcron (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:20 +0100

kcron (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:46:19 +0100

## kcron 25.07.80

=== debian/changelog ===
kcron (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:07:29 +0100

## kcron 25.07.90

=== debian/changelog ===
kcron (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:41:37 +0100

## kcron 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
 project(kcron)
 
-set (QT_MIN_VERSION "6.5.0")
-set (KF_MIN_VERSION "6.3.0")
+set (QT_MIN_VERSION "6.8.0")
+set (KF_MIN_VERSION "6.11.0")
 
 find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-add_definitions(-DTRANSLATION_DOMAIN="kcron")
+add_definitions(-DTRANSLATION_DOMAIN="kcm_kcron")
 
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -41,8 +41,8 @@
     TYPE OPTIONAL
 )
 
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.10
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.13
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kcron (4:25.08.0-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 21:50:36 +0000

kcron (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:22:45 +0000

kcron (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:07:56 +0000

kcron (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:09:00 +0000

kcron (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:58:46 +0000

kcron (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:57:31 +0000

kcron (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:20:03 +0000

kcron (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:15:17 +0000

kcron (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:05:49 +0000

kcron (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:02:39 +0000

kcron (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:02:46 +0000

kcron (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:40:34 +0000

kcron (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:16:19 +0000

kcron (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Aug 2024 16:09:44 +0000

kcron (4:24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:22:06 +0000

kcron (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:58:50 +0000

kcron (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:22:40 +0000

kcron (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:10:50 +0000

kcron (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:04:56 +0000

kcron (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:45:48 +0000

kcron (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 14:52:06 +0000

kcron (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:21:23 +0000

kcron (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:03:46 +0000

kcron (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:51:58 +0000

kcron (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:20:19 +0000

kcron (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:08:28 +0000

kcron (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:41:11 +0000

kcron (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:17:21 +0000

kcron (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:24:28 +0000

kcron (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:45:06 +0000

kcron (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:12:24 +0000

kcron (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:49:53 +0000

kcron (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:34:40 +0000

kcron (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:01:11 +0000

kcron (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:52:10 +0000

kcron (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:05:36 +0000

kcron (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:06:37 +0000

kcron (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:58:00 +0000

kcron (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:12:04 +0000

kcron (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 15:10:05 +0000

kcron (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:05 +0000

kcron (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:42:51 +0000

kcron (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:50:34 +0000

kcron (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:22:40 +0000

kcron (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:53:51 +0000

kcron (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:21:53 +0000

kcron (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:58:50 +0000

kcron (4:20.12.2-0neon) focal; urgency=medium

  * New release



## kcron 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-add_definitions(-DTRANSLATION_DOMAIN="kcm_kcron")
+add_definitions(-DTRANSLATION_DOMAIN="kcm_cron")
 
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)

=== src/helper/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 add_executable(kcron_helper kcronhelper.cpp kcronhelper.h)
-target_link_libraries(kcron_helper PRIVATE Qt${QT_MAJOR_VERSION}::Core KF${KF_MAJOR_VERSION}::AuthCore)
+target_link_libraries(kcron_helper PRIVATE Qt6::Core KF6::AuthCore)
 
 ecm_qt_declare_logging_category(kcron_helper
     HEADER kcm_cron_helper_debug.h

=== debian/changelog ===
kcron (4:25.08.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 22:10:23 +0000

kcron (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:47:44 +0000

## kcron 25.08.2

=== debian/changelog ===
kcron (4:25.08.2-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:53:19 +0000

kcron (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

## kcron 25.08.2+p24.04+vstable+git20251011.2353

=== debian/changelog ===
kcron (4:25.08.2+p24.04+vstable+git20251011.2353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:53:24 +0000

## kcron 25.08.2+p24.04+vstable+git20251019.0250

=== debian/changelog ===
kcron (4:25.08.2+p24.04+vstable+git20251019.0250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:50:05 +0000

=== debian/control ===
Source: kcron
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kcron.git
Vcs-Browser: https://invent.kde.org/neon/kde/kcron
Maintainer: Neon CI <neon@kde.org>

Package: kcron
Section: oldlibs
Architecture: all
Priority: optional
Depends: kde-config-cron, ${misc:Depends}
Description: program scheduler frontend - transitional package
 This package helps migrating from the kcron standalone app to the KDE
 config module in kde-config-cron.
 .
 It is a transitional package that can be safely removed.

Package: kde-config-cron
Section: admin
Architecture: any
Depends: cron | anacron, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: program scheduler frontend
 kde-config-cron is a KDE configuration module for scheduling programs to run
 at specific intervals using cron, the UNIX scheduling service.
 .
 This package is part of the KDE administration module.

## kcron 25.08.2+p24.04+vstable+git20251021.0300

=== debian/changelog ===
kcron (4:25.08.2+p24.04+vstable+git20251021.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:00:21 +0000

## kcron 25.08.2+p24.04+vstable+git20251031.0901

=== debian/changelog ===
kcron (4:25.08.2+p24.04+vstable+git20251031.0901-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:01:08 +0000

## kcron 25.08.3

=== doc/kcontrol/CMakeLists.txt ===
########### install files ###############

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/kcron)

=== debian/changelog ===
kcron (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:12:36 +0000

kcron (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:42:58 +0100

kcron (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:52:23 +0100

kcron (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:22:11 +0100

=== debian/control ===
Source: kcron
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               kirigami-addons-dev,
               libkf6auth-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6declarative-dev,
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://kde.org/applications/utilities/org.kde.kcron
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcron
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcron
Rules-Requires-Root: no

Package: kde-config-cron
Section: admin
Architecture: any
Depends: cron | cron-daemon | anacron, ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: program scheduler frontend
 kde-config-cron is a KDE configuration module for scheduling programs to run
 at specific intervals using cron, the UNIX scheduling service.
 .
 This package is part of the KDE administration module.

## kcron 25.08.3+p24.04+vstable+git20251202.1141

=== debian/changelog ===
kcron (4:25.08.3+p24.04+vstable+git20251202.1141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 11:41:07 +0000

kcron (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:40:43 +1000

## kcron 25.08.3+p24.04+vunstable+git20251130.0209

=== debian/changelog ===
kcron (4:25.08.3+p24.04+vunstable+git20251130.0209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 02:09:36 +0000

## kcron 25.08.3+p24.04+vunstable+git20251202.1040

=== debian/changelog ===
kcron (4:25.08.3+p24.04+vunstable+git20251202.1040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:40:13 +0000

## kcron 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,8 +41,8 @@
     TYPE OPTIONAL
 )
 
-ecm_set_disabled_deprecation_versions(QT 6.9.0
-    KF 6.13
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.17.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kcron (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:51:05 +0000

## kcron 25.11.90

=== debian/changelog ===
kcron (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:02:44 +0000

## kcron 25.12.0

=== debian/changelog ===
kcron (4:25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:44:18 +0000

kcron (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:36:55 +1000
